    Show the details of the PHA background data sets.

show_bkg(id=None, bkg_id=None, outfile=None, clobber=False)
id - int or str, optional
bkg_id - int or str, optional
outfile - str, optional
clobber - bool, optional

This displays information about the background, or backgrounds, for the loaded data sets. This includes: any filters, the grouping settings, mission-specific header keywords, and the details of any associated instrument responses files (ARF, RMF).

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then all background data sets are displayed.
bkg_id
The background component to display. The default is all components.
outfile
If not given the results are displayed to the screen, otherwise it is taken to be the name of the file to write the results to.
clobber
If `outfile` is not none , then this flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023